// Scroll Listener 
const bad = String.fromCodePoint(0x1F4A9);
const targets = document.querySelectorAll("img");

window.addEventListener('scroll', (event) => {
    console.log("Not good... " + bad);
    targets.forEach(img => {
        const rect = img.getBoundingClientRect().top;
        if (rect <= window.innerHeight) {
            const src = img.getAttribute('data-lazy');
            img.setAttribute('src', src);
            img.classList.add('fade');
        }
    })
})