const targets = document.querySelectorAll('img');
const love = String.fromCodePoint(0x1F60D);

const lazyLoad = target => {
  const io = new IntersectionObserver((entries, observer) => {
    console.log("Very good!!! " + love);
    console.log(entries)
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        const img = entry.target;
        const src = img.getAttribute('data-lazy');
        img.setAttribute('src', src);
        img.classList.add('fade');

        observer.disconnect();
      }
    });
  });

  io.observe(target)
};

targets.forEach(lazyLoad);